Imports System.Data.OleDb

Public Class cGlobal
    'Public Shared ConnStr As String
    'Public Shared AufrufenderProzess As AufrufenderProzess
    'Public Shared Aktive_ID As Integer
    'Public Shared AktiverMitarbeiter As New cMitarbeiter
    'Public Shared AngemeldeterUser As String

    '  Public Shared Admin As Boolean
    Public Shared DBPfad As String
    ' Public Shared Aktive_AuswahlID As Integer
    Public Shared Aktive_ID As Integer
    Public Shared Aktive_SendungsID As Integer
    Public Shared Aktive_Zeile As Integer
    Public Shared Ausgewählte_Zeile As Integer = 0
    Public Shared AnzahlAlle As Long
    Public Shared AnzahlAuswahl As Long
    ' Public Shared ConnStr_ANZEIGE As String
    '   Public Shared ConnStrADMIN As String
    '  Public Shared ConnStrFMZOLL As String
    Public Shared AngemeldeterUser As String
    Public Shared AngemeldeterUserPwd As String
    Public Shared AktiverMitarbeiter As New VERAG_PROG_ALLGEMEIN.cMitarbeiterAVISO
    Public Shared Optionen As New cOption

    Public Const UStatus_AVEingang = -1
    Public Const UStatus_none = ""

    Public Const Status_Erfasst = 0
    Public Const Status_Vorbereitet = 4
    Public Const Status_Vorgeschrieben = 5
    Public Const Status_Freigegeben = 1
    Public Const Status_NichtEingetroffen = 2
    Public Const Status_Ankunft = 3


    Shared Function getStatusText(i As Integer) As String
        Select Case i
            Case 0 : Return "Erfasst"
            Case 1 : Return "Freigegeben"
            Case 2 : Return "Nicht Eingetroffen"
            Case 3 : Return "Ankunft"
            Case 4 : Return "Vorbereitet"
            Case 5 : Return "Vorgeschrieben"
            Case 99 : Return "In Vorbereitung"
            Case Else : Return ""
        End Select
    End Function
End Class

Public Enum AufrufenderProzess
    VBZeit = 1
    VBZeitVW = 2
End Enum
